/** \file foo3.h
 * \brief Demonstrates problem with function being misrecognized as
 * structure variable.
 *
 * foo8() will be incorrectly listed as a variable.  Fixed by the first
 * patch.
 *
 * foo9() will be incorrectly listed as a variable.  Fixed by the second
 * patch.
 *
 * Bug 324568.
 */

/** \brief A structure. */
struct t1 { /** \brief A structure field. */ int x; };

/** \brief A typedef. */
typedef struct t1 t2;

/** \brief A typedef. */
typedef int t3;

extern t2 foo8(struct t1 *);
extern t2 foo9(t3);
